Dariolius

Quick Start

Choosing files to split

There are several ways to add files which you wish to split. You can:

  • choose the menu File->Add files...
  • drag and drop files from explorer into the file list

Splitting files

Change any settings to your liking in the rest of the window, and press the Recalculate button to preview information in the file list. To finalise settings, press the Split button. After the file is split, you will end up with a series of output parts and file for merging them.

Note that while using the Recalculate button is recommended for the purpose of verifying information before a split is performed, you can split files immediately after you have chosen your settings. Dariolius automatically recalculates file information before each split is performed.

Merging files

Ensure all split parts and the merger are in the same folder. For a batch rejoiner, run the batch file. If you see no error messages displayed, then the file was fully reconstructed successfully. For a program file merger, run the program. Press the merge button to join the files. The program will notify you if the file was fully reconstructed successfully.

Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


What's New

Version 2.4.389

  • Notes, Troubleshooting sections updated

Version 2.3.364

  • Notes, Troubleshooting sections updated

Version 2.2.343

  • New screenshots
  • Updated console section
  • Added Merge files section, Recreate split part section
  • Menus section updated for file, tools menu

Version 2.0.263

  • Updated console section, added Recreate split part options panel, progress bars
  • Menus section updated for tools menu
  • Options section updated, appearance section

Version 1.9.215

  • Updated console section, added context menus, new pics
  • Menus section updated for tools, help menu
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


The Console

[ Parts of the console ]
[ Split by options ]
[ Output information options ]
[ Filelist context menu ]

Parts of the console

Menus | See the help on Menus.
Filelist | Displays files which are to be split and related information. You can drag and drop files into this area directly. Right click this area for access to the Filelist context menu.
Headings | You can reorder the columns in the filelist. Just click and drag the column headings to their desired position. You can also resize columns by dragging the boundary on the right side of the column headings.
Sort Mode | The triangle shows the way the filelist is sorted. In this example, the playlist is sorted by filename, going down from A-Z. You can click on column headings to change the order of sorting or the column by which the filelist is sorted.
Split by | See the help on Split by options.
Output information | See the help on Output information options.
Buttons | Perform the same operation as their counterparts in the File menu.
Progress bars | The top progress bar shows the progress writing the current part of the file being split. The bottom progress bar shows the progress splitting the current file.
Taskbar | Hold your cursor over this icon to see information on split progress.
Back to the top

Split by options

Split by options

Size of each part | Splits the file such that each part is of the specified size. The last part may be smaller. Useful for making the most use out of removable media.
Number of parts | Splits the file into the specified number of parts, each of equal size. The last part may be slightly smaller.
Transfer each part in | Splits the file such that each part can be transferred at the specified speed within the specified time. Files are split into parts of equal size, except for the last part, which may be smaller.
Back to the top

Output information options

Output information options

Preserve file extension on split parts If selected, the split parts will have the same file extension as the original file. It is recommended that you only select this option if you need to use the parts while they are still split. Files such as txt and mp3 can be used this way.

See Using split files
Generate merger type Choose to use a batch and/or program file to merge your split parts.
  • Batch files take less space for smaller jobs. Useful for advanced users.
  • Program files are more powerful and interactive. They also take less space for larger jobs. Recommended for normal use.
Back to the top

Filelist context menu

Filelist Context Menu

Execute | Runs the selected file.
Reset split status | Reset the split status of the selected file, so that it will be split again.
View properties | Displays the system file properties for the selected file.
Open container | Opens the folder which contains the selected file.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Menus

[ File Menu ]
[ Edit Menu ]
[ Tools Menu ]
[ Help Menu ]

File Menu

Add files... | Adds files to the file list to be split.
Remove files | Removes selected files from the file list.
Recalculate | Recalculates information in the file list using your current settings. This is useful for verifying information before a split is performed.
Split | Calculates all the information in the file list, and splits each of the files in the file list using the current settings.
Merge... | Opens the Merge files window.
Recent files | Shows recently used split files.
Exit | Exits Dariolius.
Back to the top

Edit Menu

Select all | Selects all files in the playlist.
Remove all | Removes all files from the playlist.
View properties | Displays the system file properties for the selected file.
Open container | Opens the folder which contains the selected file.
Back to the top

Tools Menu

Standard sizes... | Fills the Split by options with preset split sizes.
Recreate split part... | Opens the Recreate split part window.
Recreate mergers | Recreates merger files according to the chosen settings. Useful if your merger was damaged or lost. If the settings are not the same as the ones used when splitting the file, the merger may not work correctly.
Open output folder | Opens the output folder where Dariolius puts split parts, etc.
Shell extensions... | Opens the Shell extensions window.
Options... | Opens the options window.
Back to the top

Help Menu

View help... | Displays this page.
KanastaCorp on the Web | Opens KanastaCorp's webpage.
KanastaCorp community on the Web | Opens KanastaCorp's mailing list community page, where you can access announcement archives and software betas.
Register... | Displays the registration window.
About... | Displays important information about Dariolius.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Merge files

This is used to merge split parts in case you have lost your merger.

If the settings are not the same as the ones used when splitting the file, the file will not merge correctly
Output filename | The original filename is calculate based on your settings above. Double click to recalculate.
Merge | Merges the split parts according to the chosen settings.
Cancel | Closes this window.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Recreate split part

Recreate split part

This is used to recreate a single split part according to the settings chosen on the main window.

Useful if a split part was damaged or lost.

If the settings are not the same as the ones used when splitting the file, the file will not merge correctly.
Go | Recreates the part number specified according to the chosen settings.
Cancel | Closes this window.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Shell extensions

Add Dariolius to the Explorer context menus | Adds a "Split with Dariolius" in the context menu for all files.
Remove Dariolius from the Explorer context menus | Removes the "Split with Dariolius" context menu.
Add Office shortcut bar bug workaround 1 | Adds a workaround to fix a bug in the Office shortcut bar which causes it to open files randomly.
Add Office shortcut bar bug workaround 2 | This workaround will work for non executables, but may cause a DOS box to temporarily appear on screen.
Remove Office shortcut bar bug workarounds | Removes all workarounds for the Office shortcut bar bug.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Options Page

[ Appearance ]
[ Colors ]
[ Fonts ]

[ Behaviour ]
[ Window settings ]

[ Setup ]
[ Advanced ]
[ Environment ]

Appearance

Show Dariolius in system tray | If selected, a Dariolius icon will appear in the system tray.
Hide Dariolius from taskbar when minimized | If selected, Dariolius will not appear in the taskbar when minimized. Use the systray icon to restore Dariolius.
Back to the top

Colors

This section allows you to select the colors used to display various parts of Dariolius.

This section sets the 'hot tracking' color of your system. It is a system wide setting and may not be effective in all systems.
Back to the top

Fonts

This section allows you to select the fonts used to display the specified parts of Dariolius.

The Others font is effective for all other interface fonts, and is useful for displaying non English characters in places such as the Output folder.
Back to the top

Behaviour

This section controls where Dariolius will place split parts and merger files. The default is in a 'Split Files' folder where Dariolius is installed.
Back to the top

Windows Settings

Windows Settings 1

EasyMove | This allows you to move Dariolius windows by dragging on any part of its window.
Snap to screen | If enabled, when any window is near the edge of the screen or another window, the window align to that edge. This option can only be enabled if EasyMove is selected.
Snap to screen activation | This determines the number of pixels from the edge of a screen that snap to screen activates. The default value is 12.

Windows Settings 2

This option will keep Dariolius windows above all other normal windows. This is useful if you wish to have Dariolius visible on your screen at all times.
Back to the top

Setup

If selected, split parts with the file extension 'dar' will be shown with a blue Dariolius icon in Windows Explorer.
Back to the top

Advanced

This section is for advanced users only. Please be careful about setting too high a priority, as it may have an impact on your other programs and may make your system unstable.
Back to the top

Environment

This section allows you to choose how many recent files are remembered and displayed in the recent files menu.

If selected, the options in the options page will be saved when you exit Dariolius.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Notes

General

  • This program is free only for private and personal use. If you are a corporate user, you are required to purchase a license. Please purchase a license from our website.
  • If you are a private user, you can still support us by sending a donation.
  • Please visit our webpage to obtain the latest versions of this software. You can also send us any comments, suggestions, or bug reports, and join our community to receive the latest announcements from KanastaCorp.
  • This computer program is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

Using split files

  • Dariolius is a simple file splitter. All files are split the same way regardless what file type they are. Whether a split file part can be used independently depends largely on the file type itself.
  • Some files have no file headers and thus all file parts can be used independently. eg. text files, mp3 files.
  • Many files have file headers and thus when split, at best only the first part can be played. eg. mpg movies. Some files check the integrity of the whole file, thus even the first part will refuse to run. eg. Word documents.
  • It is impossible for Dariolius to anticipate the type and structure of file headers that exist in all files. Such functionality can only be found in specialist software specific to your file type.

Ideas behind the design

  • Dariolius was designed to be lightweight. It doesn't do checksums, because these should be taken care of by either the transmission protocol, or the file copying command.
  • Dariolius doesn't detect floppy sizes. The user may not be transporting files on a floppy. They may simply be splitting files into smaller sizes because either their ISP has a maximum file size limit, or they want to distribute smaller files on the web.

What is a MegaByte?

  • Technically an MB is 1000000 bytes (Mega being the SI prefix meaning 1000000). This is the official definition as defined by NIST and is also the definition used by hard disk manufacturers.
  • NIST is the official authority on definitions like this.
  • There is another definition, where 1MB = 1024KB. This is used by Windows and RAM manufacturers. Officially NIST has been calling this a MiB (MebiByte) for several years now.
  • CD-R/RW follows the Windows definition.
  • As for removable drive manufacturers, they use either definition as they please. And most wouldn't tell us, even when we asked.
  • 1KB = 1024 bytes no matter whom you ask.
  • Your 1.44MB floppy disk happens to define 1MB = 1000KB = 1024000 bytes
  • Now that you're all confused, Dariolius will use 1MB = 1024KB, in order to be consistent with Windows.

Usage tips

  • You can drag and drop files directly into the file list.
  • Right click a file in the filelist for access to the Filelist context menu.
  • You do not have to press Recalculate each time before you split. If you do not need to check your settings, you can just press split and Dariolius will automatically calculate all the values before splitting.
  • It is recommended that you split files onto your hard disk, not your floppy, as it is faster as well as being less error prone.
  • After splitting, check in the Split comments column in the file list for comments on whether the split was successful.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.


Troubleshooting

Splitting/Merging

  • Only NTFS supports files larger than 4GB. If you split such files, you may not be able to merge them on other file systems. Other file systems will not say they cannot support large files, you will simply get an unknown error or out-of-space error.
  • The largest possible file for a FAT32 drive is 4GB minus 2 bytes.
  • The largest possible file for a FAT16 drive is something much smaller.

Microsoft Office

  • If you have Office shortcut bar installed you may discover that all the shortcuts may start opening Dariolius. This is due to a bug documented by Microsoft but not fixed in any of their subsequent service packs.
  • The shortcut bar randomly chooses an item in the file's context menu to run, which usually is the most recent item installed into the system.
  • Use the Shell extensions window to test several options to get around these problems.

DLLs and OCXs

  • Usually error messages and crashes are caused by missing DLLs or incorrect versions of DLLs. The first step is to get the latest, from the support area of the webpage. You will need the MFC and VB Runtime files. The CAB file can be opened with a program such as Winzip. Reboot after installing.
  • Dariolius requires COMCTL32.DLL version 4.72 or later to run properly. If you get an error message about having the wrong version of COMCTL32.OCX, the problem may actually be that your version of COMCTL32.DLL is an older version. You can download the correct version from the webpage.
  • You also need the correct version of KanastaCorpUtils.dll and KanastaCorpComCtrls.dll. These can be obtained from the support area of the webpage.

General

  • Be sure you have the latest version of Dariolius. Many problems may have been solved in the latest version. If you send a bug report about a problem in an old version of Dariolius, your report will not be processed.
  • If you have any other repeatable problems which cannot be solved using the steps above, please use the bug report form on the KanastaCorp webpage.
Back to the top
© Copyright 1996-2003 KanastaCorp. No unauthorised copying or distribution allowed.